<?php

declare(strict_types=1);

namespace App\Controller\TblContenidoTema;

use App\Service\TblContenidoTemaService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblContenidoTemaService(): TblContenidoTemaService
    {
        return $this->container->get('TblContenidoTema_service');
    }
}
